#include <avr/io.h>
#include <util/delay.h>
#include "usart.h"
#include "tlc5916.h"
int main (void) {
  uint8_t i;
  usart_mspim_init();
  tlc5916_init();
  tlc5916_out (((1<<OUT3) | (1<<OUT2) | (1<<OUT1)), BACKLIGHT); // other OUTs not connected
  for (i = 0; i < 64; i++) {
    tlc5916_cur (CONFIG_CODE(i), BACKLIGHT);
    OE_LO
    _delay_ms(500);
    if (i == 63)
      i = 0;
  }
  return 0;
}
